GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Selector::MapElites::DefaultDescriptors::ActionValues Class Reference

`#include <mapElitesDefaultDescriptors.h>`

Inheritance diagram for Selector::MapElites::DefaultDescriptors::ActionValues:

## Public Member Functions
virtual void | initDescriptor (const TPG::TPGGraph &graph, const Learn::LearningEnvironment &learningEnvironment) override
| Specialisation of initDescriptor.
virtual std::string | getName () const override
| Specialisation of getName.
virtual void | extractMetricsStep (std::vector< double > &metrics, const TPG::TPGVertex *agent, std::vector< double > actionValues, const Learn::LearningEnvironment &learningEnvironment) const override
| Specialisation of extractMetricsStep.
virtual void | extractMetricsEpisode (std::vector< double > &metrics, const TPG::TPGVertex *agent, size_t nbStepsExecuted, const Learn::LearningEnvironment &learningEnvironment) const override
| Specialisation of extractMetricsEpisode.
Public Member Functions inherited from Selector::MapElites::MapElitesDescriptor
virtual bool | isInit () const
| method that return if the initDescriptor method has been executed
virtual std::pair< double, double > | getMinAndMaxRange () const
| Get the min and max range of the descriptor.
virtual size_t | getNbDescriptors () const
| Get the number of the descriptor.

## Additional Inherited Members
Protected Attributes inherited from Selector::MapElites::MapElitesDescriptor
size_t | nbDescriptors
| Number of descriptor.
double | minRange
| Minimum value in the archive.
double | maxRange
| Maximum value in the archive.
bool | init = false

## Detailed Description

Class for ActionValues descriptor.

This descriptor is designed for continuous environments (an update could be made to be used on discrete environments too but it might not be useful).

It computes the average of the absolute of the action values over an episode.

## Member Function Documentation

## ◆ extractMetricsEpisode()

void Selector::MapElites::DefaultDescriptors::ActionValues::extractMetricsEpisode | ( | std::vector< double > & | metrics,
|  | const TPG::TPGVertex * | agent,
|  | size_t | nbStepsExecuted,
|  | const Learn::LearningEnvironment & | learningEnvironment ) const
| override virtual

Specialisation of extractMetricsEpisode.

Reimplemented from Selector::MapElites::MapElitesDescriptor.

## ◆ extractMetricsStep()

void Selector::MapElites::DefaultDescriptors::ActionValues::extractMetricsStep | ( | std::vector< double > & | metrics,
|  | const TPG::TPGVertex * | agent,
|  | std::vector< double > | actionValues,
|  | const Learn::LearningEnvironment & | learningEnvironment ) const
| override virtual

Specialisation of extractMetricsStep.

Reimplemented from Selector::MapElites::MapElitesDescriptor.

## ◆ getName()

std::string Selector::MapElites::DefaultDescriptors::ActionValues::getName | ( |  | ) | const
| override virtual

Specialisation of getName.

Implements Selector::MapElites::MapElitesDescriptor.

## ◆ initDescriptor()

void Selector::MapElites::DefaultDescriptors::ActionValues::initDescriptor | ( | const TPG::TPGGraph & | graph,
|  | const Learn::LearningEnvironment & | learningEnvironment )
| override virtual

Specialisation of initDescriptor.

Implements Selector::MapElites::MapElitesDescriptor.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/selector/mapElites/mapElitesDefaultDescriptors.h
- D:/a/gegelati/gegelati/gegelatilib/src/selector/mapElites/mapElitesDefaultDescriptors.cpp